/events/{event_code}/registrations/{registration_id}

The request must contain the following event registration properties

  • id
  • event_code
  • data
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

A hashid that identifies the event. (format: matching ^[a-zA-Z0-9]$, at least 5 characters)

int64
required

The unique identifier for the registration.

Body Params

The request must contain the following event registration properties

  • id
  • event_code
  • data

The email, user_id, registered_on, last_updated, and peer_group properties are ignored.

int64

The unique identifier of the registration. Not required for new registrations.

string

The registrant's given name. This property is returned from GET requests. It's only required and honored during a POST if the user does not already exist in the system. It is always ignored if received in a PUT.

string

The registrant's surname. This property is returned from GET requests. It's only required and honored during a POST if the user does not already exist in the system. It is always ignored if received in a PUT.

string
required

The registrant's email address. When posting a new registration, if the email does not match a currently existing user within the system, a new user will be created and both first and last name must also be provided.

int64

Brazen's identifier for the user to whom the registration belongs. This property only has a value on GET requests and is ignored in POST or PUT requests.

string

The identity provider's identifier for the user to whom the registration belongs. This property only has a value when the user has an external identity (they have used any Single Sign-On option to log in). This property is ignored in POST and PUT requests.

boolean

Indicates the user has completed email verification for their Brazen account. Single Sign-On users are considered verified automatically after their initial sign-in.

boolean

Indicates the user has completed their event registration.

date-time

An ISO-8601 UTC timestamp for when the registration was submitted. Defaults to date and time registration received at Brazen (format: yyyy-MM-ddTHH:mm:ssZ). This property only has a value on GET requests and is ignored in POST or PUT requests.

date-time

An ISO-8601 UTC timestamp for when the registration was last updated (format: yyyy-MM-ddTHH:mm:ssZ). This property only has a value on GET requests and is ignored in POST or PUT requests.

string
required

The hashid that identifies the event.

string

The peer group to register the user for. This property is ignored in PUT requests.

event_roles
array of strings

The list of user roles for event staff. Possible values include: representative, group-video-host, webinar-host, webinar-presenter.

event_roles
boolean

Indicates the user attended the event while it was live; value is always null until event is live. This property only has a value on GET requests and is ignored in POST or PUT requests.

string
required

Contains all the input that was submitted by the registrant when they registered for the event (or when they edited their registration) in the format "{field label}={user input}[& ...]".

The field labels and user input values are URL encoded; the equal sign separating labels from values and the ampersands separating label-value pairs are not encoded.

File upload field types, including Resume and Profile Picture, are available through the /files endpoint.

Representatives in open house and expo type events have user profiles, which span multiple events, in place of individual event registrations. These profiles can be created and updated through our API just like registrations using the following fields:

  • Profile Pic (see /files endpoint)
  • Job Title
  • Summary
  • City
  • State
  • Country
  • LinkedIn Profile
  • Mobile Phone
Headers
string
required

A bearer token retrieved using your client_id and client_secret.

Responses
204

204 is used instead of 200 because there is no need to echo back the representation when it is successfully updated from the PUT method.

401

The request contained an invalid token or none at all.

403

Token is not permitted to access this resource.

404

Resource requested could not be found.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!